vnc4 (4.1.1+X4.3.0+t-1) unstable; urgency=high

  * Made the package a transitional package to ensure tigervnc is installed
    as a replacement.
    Closes: #811783, #491433, #578978, #656862, #512703.

 -- Ola Lundqvist <opal@debian.org>  Sat, 07 Jan 2017 23:33:39 +0100

vnc4 (4.1.1+X4.3.0-37.6) unstable; urgency=medium

  * Non-maintainer upload.
  * armhf_inw_inb.patch: Fix FTBFS on armel/armhf (from Ubuntu).
    Closes: #472188, #536544, #621409.

 -- dann frazier <dannf@debian.org>  Thu, 02 Apr 2015 13:34:56 -0400

vnc4 (4.1.1+X4.3.0-37.5) experimental; urgency=medium

  * Non-maintainer upload.
  * Reapply patch dropped from previous release to aide testing migration:
     - Strip vnc:// prefix from server name to support URIs (Closes: #769891)

 -- dann frazier <dannf@debian.org>  Mon, 24 Nov 2014 15:44:08 -0700

vnc4 (4.1.1+X4.3.0-37.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Temporarily revert fix for #769891 to qualify for jessie unblock.
  * powerpc-undef-pixel.patch: Fix FTBFS on powerpc (Closes: #769976).

 -- dann frazier <dannf@debian.org>  Mon, 24 Nov 2014 15:44:08 -0700

vnc4 (4.1.1+X4.3.0-37.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Strip vnc:// prefix from server name to support URIs (Closes: #769891)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 17 Nov 2014 11:47:55 +0100

vnc4 (4.1.1+X4.3.0-37.2) unstable; urgency=medium

  * Non-maintainer upload.
  * arm64-support.patch: Add arm64 support (Closes: #769490)

 -- dann frazier <dannf@debian.org>  Fri, 14 Nov 2014 15:50:34 -0700

vnc4 (4.1.1+X4.3.0-37.1) unstable; urgency=low

  * Non-maintainer upload.
  * vnc4server.prerm: Correctly remove the vncconfig alternative.
    (Closes: #656217)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Jan 2013 17:05:12 +0100

vnc4 (4.1.1+X4.3.0-37) unstable; urgency=low

  * Applied patch from Ben Armstrong <synrg@debian.org> that makes dpi
    to remain constant after RandR changes to geomentry, closes:
    #572678.

 -- Ola Lundqvist <opal@debian.org>  Wed, 10 Mar 2010 21:37:21 +0100

vnc4 (4.1.1+X4.3.0-36) unstable; urgency=low

  * Correction for use of uninitilized memory, closes: #509949. Thanks
    to Jö Fahlke <jorrit@jorrit.de> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Sun, 21 Feb 2010 10:02:12 +0100

vnc4 (4.1.1+X4.3.0-35) unstable; urgency=low

  * Applied workaround for IPv6 bindonly issue. Thanks to Roman Mamedov
    <roman@rm.pp.ru> for the patch. Closes: #568630, #561619, #560137,
    #566758, #562169.

 -- Ola Lundqvist <opal@debian.org>  Sun, 07 Feb 2010 19:53:25 +0100

vnc4 (4.1.1+X4.3.0-34) unstable; urgency=low

  * Added support for xrandr, closes: #366493. Thanks to "Nikita V.
    Youshchenko" <yoush@debian.org> for the patch and to Ben Armstrong
    <synrg@sanctuary.nslug.ns.ca> for the updated vncserver script.

 -- Ola Lundqvist <opal@debian.org>  Thu, 19 Nov 2009 22:39:14 +0100

vnc4 (4.1.1+X4.3.0-33) unstable; urgency=low

  * Applying patch from Red Hat to solve problem with vncconfig crashing
    on amd64. Closes: #551278. Thanks to Michael Terry
    <michael.terry@canonical.com> for pointing to the patch.
  * Applied patch from Roman Mamedov <roman@rm.pp.ru> that adds IPv6
    support for the vncserver. Closes: #550789.
  * Fixed assertion by using suggested patch from ubuntu bug 202123.
    Closes: #282820.
  * Applied patch from Otavio Salvador <otavio@ossystems.com.br> to support
    XEmbed. Closes: #447723.

 -- Ola Lundqvist <opal@debian.org>  Thu, 19 Nov 2009 21:56:04 +0100

vnc4 (4.1.1+X4.3.0-32) unstable; urgency=low

  * Applying a patch from Mike Mammarella <debian@crystalorb.net> that
    adds IPv6 support for the xnvcviewer program. Closes: #342620.
  * Moved from x-dev to x11proto-core-dev build dependency. Closes:
    #515398.

 -- Ola Lundqvist <opal@debian.org>  Wed, 09 Sep 2009 19:56:47 +0200

vnc4 (4.1.1+X4.3.0-31) unstable; urgency=high

  * Correction for CVE-2008-4770. Arbitrary code execution via crafted
    RFB protocol data. Closes: #513531.

 -- Ola Lundqvist <opal@debian.org>  Fri, 30 Jan 2009 19:27:21 +0100

vnc4 (4.1.1+X4.3.0-30) unstable; urgency=low

  * Correction for seen build problem on alpha architecture. Do not
    include asm/pci.h and asm/page.h in case of alpha arch. Closes: #489475.

 -- Ola Lundqvist <opal@debian.org>  Sat, 12 Jul 2008 00:08:54 +0200

vnc4 (4.1.1+X4.3.0-29) unstable; urgency=low

  * Correction for mipsel architecture. Same problem as for hppa.
    Closes: #486104. This may affect mips architecture as well.

 -- Ola Lundqvist <opal@debian.org>  Fri, 13 Jun 2008 14:38:49 +0200

vnc4 (4.1.1+X4.3.0-28) unstable; urgency=low

  * Due to recent changes in build environment asm/page.h shall not be
    included for hppa architecture in
    unix/xc/programs/Xserver/hw/xfree86/fbdevhw/fbdevhw.c. Closes:
    #485958.

 -- Ola Lundqvist <opal@debian.org>  Fri, 13 Jun 2008 08:05:55 +0200

vnc4 (4.1.1+X4.3.0-27) unstable; urgency=low

  * Adds a workaround for a problem on sparc architecture. Now
    xf86Sbus.h include fb.h in before including fbio.h. Closes: #477659.
  * No longer include asm/pci.h on alpha in lnx.h file. The reason is that
    this file no longer exist on alpha architecture.

 -- Ola Lundqvist <opal@debian.org>  Thu, 12 Jun 2008 07:43:58 +0200

vnc4 (4.1.1+X4.3.0-26) unstable; urgency=low

  * Fix for FTBFS on s390, closes: #477232. It will no longer fail on those
    architectures that do not build the removed vnc.so.

 -- Ola Lundqvist <opal@debian.org>  Tue, 22 Apr 2008 08:03:16 +0200

vnc4 (4.1.1+X4.3.0-25) unstable; urgency=low

  * Added conflict on vnc4-common, closes: #477191.

 -- Ola Lundqvist <opal@debian.org>  Mon, 21 Apr 2008 22:01:07 +0200

vnc4 (4.1.1+X4.3.0-24) unstable; urgency=low

  * Correction of FTBFS with g++-4.3, closes: #474981.
    Thanks to Michael Meskes <meskes@debian.org> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Sun, 20 Apr 2008 11:04:10 +0200

vnc4 (4.1.1+X4.3.0-23) unstable; urgency=low

  * Make sure to always strip the binary. Corrected sequence error in
    the debian/rules file.
  * Updated mentioning of windows in package description, closes: #413634.
  * Applied patch for optimization build options, closes: #422662.
  * Corrected configuration file reference, closes: #432886.

 -- Ola Lundqvist <opal@debian.org>  Fri, 21 Mar 2008 23:17:37 +0100

vnc4 (4.1.1+X4.3.0-22) unstable; urgency=low

  * Moving things from vnc4-common to vnc4server package and now conflict on
    old no longer created package.
  * Removed libvnc.so that do not work with recent xorg. This is a workaround
    but solves the grave fault, closes: #444697. No longer provides
    x0vnc-server.
  * Applied patch from Jussi Judin <jjudin+debian@iki.fi> that solves
    the issue that .vnc directory can not be a symbolic link, closes:
    #411185.
  * Applied patch from Martin Michlmayr <tbm@cyrius.com> that solves gcc
    4.3 build problems, closes: #417740.

 -- Ola Lundqvist <opal@debian.org>  Wed, 19 Mar 2008 22:00:18 +0100

vnc4 (4.1.1+X4.3.0-21) unstable; urgency=low

  * Made so that errors will be printed on terminal when invoked from
    terminal, closes: #409799.
    Thanks to Reuben Thomas <rrt@sc3d.org> for correction suggestion.

 -- Ola Lundqvist <opal@debian.org>  Mon, 26 Feb 2007 20:33:19 +0100

vnc4 (4.1.1+X4.3.0-20) unstable; urgency=low

  * Applied patches from Luca Capello <luca@pca.it> to change
    PasswordDialog to XDialog option and to make console dialogs for
    more than just the password. Closes: #397417. Thanks for this.
  * One of the patches document the new option, closes: #394072.
  * The patch from Luca is modified so that it handle newline character
    for hostnames properly and to remove newline character on printing.

 -- Ola Lundqvist <opal@debian.org>  Thu,  9 Nov 2006 21:30:18 +0100

vnc4 (4.1.1+X4.3.0-19) unstable; urgency=low

  * Correcting PAGE_SIZE problem in fbdevhw.c, closes: #394217.

 -- Ola Lundqvist <opal@debian.org>  Sat, 21 Oct 2006 14:02:18 -0600

vnc4 (4.1.1+X4.3.0-18) unstable; urgency=low

  * Make sure that newline is removed at end of user and password input
    if it is read from command line, closes: #387173.

 -- Ola Lundqvist <opal@debian.org>  Sun, 24 Sep 2006 21:50:49 +0200

vnc4 (4.1.1+X4.3.0-17) unstable; urgency=low

  * Make sure that longer passwords can be used, closes: #386404.

 -- Ola Lundqvist <opal@debian.org>  Fri,  8 Sep 2006 06:55:09 +0200

vnc4 (4.1.1+X4.3.0-16) unstable; urgency=low

  * Disabled MTRR support for amd64 arch in order to make it build on
    that arch. Will enable it later when bug nr 382419 is solved.

 -- Ola Lundqvist <opal@debian.org>  Thu,  7 Sep 2006 07:00:04 +0200

vnc4 (4.1.1+X4.3.0-15) unstable; urgency=low

  * Finally found the problem with amd64. It was a bug in the makedepend
    executeable. Now patched.

 -- Ola Lundqvist <opal@debian.org>  Wed,  6 Sep 2006 08:27:46 +0200

vnc4 (4.1.1+X4.3.0-14) unstable; urgency=low

  * Workaround for build problem on amd64.
  * New option to force showing of user and password dialog. The default
    is to have it off when running in a tty (command line) and on when
    not. Closes: #384652.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Sep 2006 20:22:14 +0200

vnc4 (4.1.1+X4.3.0-13) unstable; urgency=low

  * Correction of build problem on sparc, closes: #384418.

 -- Ola Lundqvist <opal@debian.org>  Tue, 29 Aug 2006 07:29:02 +0200

vnc4 (4.1.1+X4.3.0-12) unstable; urgency=low

  * Make it possible to compile (at least some more) on sparc,
    closes: #382905.
  * Applied patch from Javier Kohen <jkohen@users.sourceforge.net> that
    inform the user that only 8 first characters of the password will
    actually be used when typing more than 8 characters, closes: #355619.

 -- Ola Lundqvist <opal@debian.org>  Wed, 23 Aug 2006 20:12:06 +0200

vnc4 (4.1.1+X4.3.0-11) unstable; urgency=low

  * Correction of font problem, securitypath problem and rgb problem,
    closes: #381274, #365595, #334135.
    This finalizes the transition from xfree to xorg.
  * Updated to standards version 3.7.2.

 -- Ola Lundqvist <opal@debian.org>  Wed,  9 Aug 2006 22:06:33 +0200

vnc4 (4.1.1+X4.3.0-10) unstable; urgency=high

  * Correction of critical security issue. Thanks to Martin Kogler
    <e9925248@student.tuwien.ac.at> that informed me about the issue,
    and provided the patch.
    This flaw was originally found by Steve Wiseman of intelliadmin.com.
  * Applied patch from Javier Kohen <jkohen@users.sourceforge.net> that
    inform the user that only 8 first characters of the password will
    actually be used when typing more than 8 characters, closes:
    #355619.

 -- Ola Lundqvist <opal@debian.org>  Mon, 15 May 2006 20:35:17 +0200

vnc4 (4.1.1+X4.3.0-9) unstable; urgency=low

  * Final corrections that closes: #363296.

 -- Ola Lundqvist <opal@debian.org>  Thu, 27 Apr 2006 07:04:56 +0200

vnc4 (4.1.1+X4.3.0-8) unstable; urgency=low

  * Correction in passwd call, closes: #364665. Thanks to
    Taco IJsselmuiden <taco@varda.nl> for the fix.

 -- Ola Lundqvist <opal@debian.org>  Mon, 24 Apr 2006 22:21:12 +0200

vnc4 (4.1.1+X4.3.0-7) unstable; urgency=low

  * Applied patch from Andreas Jochens <aj@andaco.de> to make it build
    on ppc, closes: #364145.
  * Corrected issue in vncserver so it work rgb path, closes: #364091.
  * Run Xvnc4 instead of Xvnc.

 -- Ola Lundqvist <opal@debian.org>  Fri, 21 Apr 2006 21:11:11 +0200

vnc4 (4.1.1+X4.3.0-6) unstable; urgency=low

  * Incorporated changes to vncserver script from 4.0-8 version of this
    package.
  * Merged patch from Peter Cordes <peter@cordes.ca> (for
    tightvncserver) so it can work with xorg version 7.0,
    closes: #363296.
  * Moved to xorig dir for extensions, closes: #363309.

 -- Ola Lundqvist <opal@debian.org>  Wed, 19 Apr 2006 21:51:08 +0200

vnc4 (4.1.1+X4.3.0-5) unstable; urgency=low

  * Changed dependency from xserver-common to x11-common, closes:
    #362089.

 -- Ola Lundqvist <opal@debian.org>  Mon, 17 Apr 2006 15:11:31 +0200

vnc4 (4.1.1+X4.3.0-4) unstable; urgency=low

  * Applied patch from Chris Donoghue <cdonoghu@yahoo.com.au>.
    This patch is originally from Fedora and contain support for -fPIC
    and also tunneling via ssh support.
    Closes: #353711, #353563, #353577, #350480.

 -- Ola Lundqvist <opal@debian.org>  Sat, 25 Feb 2006 13:03:26 +0100

vnc4 (4.1.1+X4.3.0-3) unstable; urgency=low

  * Made vnc.so optional for some architectures as it is only built
    on some because of the X build configuration, closes: #352520.

 -- Ola Lundqvist <opal@debian.org>  Sun, 19 Feb 2006 15:06:41 +0100

vnc4 (4.1.1+X4.3.0-2) unstable; urgency=low

  * Corrected a build issue with gcc4 and 64 bit architectures, closes:
    #350480, #350405, #352520.
  * Fix for x0vncserver so that it actually work. The reason was that a
    timeout variable was not initialized, closes: #352863.

 -- Ola Lundqvist <opal@debian.org>  Sun, 19 Feb 2006 11:43:56 +0100

vnc4 (4.1.1+X4.3.0-1) unstable; urgency=low


  * New upstream version of vnc and X11, closes: #335995.
    New type of build.
  * This new version have updated linux.cf file, closes: #276238.
  * Updated build dependency, closes: #346902. Thanks to
    Danilo Piazzalunga <danilopiazza@gmail.com>.
  * This version build with gcc4,
    closes: #273536, #335160, #332682, #333255, #280103.
  * Renamed vnc.so to libvnc.so, closes: #328523, #319366. Thanks to
    Martin Stolle <mstoll@sus.mcgill.ca> for giving this fix.
  * Updated standards version to 3.6.2.
  * Now provides xserver, closes: #320576.
  * Corrected minor doc bug, closes: #300952.

 -- Ola Lundqvist <opal@debian.org>  Fri, 27 Jan 2006 18:59:46 +0100

vnc4 (4.0-8) unstable; urgency=medium

  * Added alternative for vncconfig, closes: #291591.
  * Added menu entry, closes: #288054.
  * Modified the vncinstall script so that it chmod files so that root
    can modify them. This allow dh_strip to strip them.

 -- Ola Lundqvist <opal@debian.org>  Sat, 22 Jan 2005 10:55:33 +0100

vnc4 (4.0-7) unstable; urgency=low

  * Changed recommends of xfont-base to xfonts-base. Closes: #285483.
  * Maintainer upload of -fPIC patch, closes: #283020.
  * Now uses the work vncserver in the package description, closes: #284503.

 -- Ola Lundqvist <opal@debian.org>  Sat, 25 Dec 2004 21:33:58 +0100

vnc4 (4.0-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix.
  * Make sure everything that's included in vnc.so is built with -fPIC,
    closes: #283020

 -- Steve Langasek <vorlon@debian.org>  Tue, 14 Dec 2004 04:57:48 -0800

vnc4 (4.0-6) unstable; urgency=low

  * Added x dependencies, closes: #282521.
  * Closed wrong bug in last upload, closes: #273739.
  * Set BuildGlxExt to YES in xc/config/cf/vnc.def, closes: #269765.
  * Added patch from Hein Roehrig <debian-bts@hein.roehrig.name> to add
    support for the -localhost option in x0vncserver as well.

 -- Ola Lundqvist <opal@debian.org>  Thu, 25 Nov 2004 20:39:21 +0100

vnc4 (4.0-5) unstable; urgency=low

  * Changed vncserver start script so it starts x-terminal-emulator and
    x-window-manager instead of xterm and twm, closes: #273976.
  * Moved in functionality from tightvncserver script.
    This means that the options -clean, -fp, -alwaysshared, -nevershared
    -httpport and -basehttpport is added.
  * Fixed description of vnc4server package, closes: #73739.

 -- Ola Lundqvist <opal@debian.org>  Sun, 17 Oct 2004 20:58:47 +0200

vnc4 (4.0-4) unstable; urgency=medium

  * Fixed vncpasswd error in prerm of vnc4-common.
  * Fixed x0vncserver error in prerm of vnc4server.
  * Fixed vncviewer error in prerm of xvncviewer (was pointint at
    xrealvncviewer instead xvnc4vewier).
  * Added conflict with vnc-common << 3.3.7-6 because of
    vncpasswd error there.

 -- Ola Lundqvist <opal@debian.org>  Thu, 16 Sep 2004 08:32:12 +0200

vnc4 (4.0-3) unstable; urgency=medium

  * Added dependency on vnc-common from vnc4server, closes: #270588.

 -- Ola Lundqvist <opal@debian.org>  Sat, 11 Sep 2004 11:59:23 +0200

vnc4 (4.0-2) unstable; urgency=medium

  * Now build libraries with -fPIC so vnc.so can be built properly,
    closes: #266739.
  * Removed tls build dep. Not needed.

 -- Ola Lundqvist <opal@debian.org>  Thu, 19 Aug 2004 12:07:12 +0200

vnc4 (4.0-1) unstable; urgency=low

  * Initial Release, closes: #250579, #260157.
    Used some descriptions from the vnc package.
  * This release fix a couple of issues in realvnc version 3.
    - Broken on ia64, closes: #233313.
  * Added source tar file of XFree86 (X420src-1.tgz). This is needed
    in order to build Xvnc and vnc.so. I added this tar-file to the
    orig tarball too in the xsrc dir.

 -- Ola Lundqvist <opal@debian.org>  Sun,  8 Aug 2004 14:54:54 +0200
